.header {
  height: 64px;
  background-color: #fff;
  border-radius: 16px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.07);
  margin-bottom: 20px;
  position: relative;
  z-index: 999;
  // .header__container
  &__container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 100%;
    position: relative;
  }
  // .header__logo
  &__logo {
  }
  // .header__menu
  &__menu {
  }
  // .header__icons
  &__icons {
    display: flex;
    justify-content: flex-end;
  }
  // .header__icon
  &__icon {
    margin-right: 30px;
    &:last-child {
      margin-right: 0;
    }
    button,
    a {
      background-color: transparent;
      img {
        width: 22px;
        height: 22px;
      }
    }
  }
  // .header__search
  &__search {
    position: absolute;
    top: -100px;
    transition: 0.2s ease-in-out;
    &.active {
      top: 0;
      left: 0;
    }
  }
  @media (max-width: $md1) {
    // .header__logo
    &__logo {
      order: 1;
    }
    // .header__menu
    &__menu {
      order: 3;
    }
    // .header__icons
    &__icons {
      order: 2;
      flex: 1 1 auto;
    }
  }
}

.search {
  display: flex;
  width: 100%;
  border-radius: 16px;
  background-color: #fff;
  height: 80px;
  overflow: hidden;
  box-shadow: 0 3px 14px rgba(#000000, 0.12);
  // .search__form
  &__form {
    display: flex;
    align-items: center;
    height: 100%;
    flex: 1 1 auto;
    input {
      width: 100%;
      height: 100%;
      font-size: 20px;
      line-height: 30px;
      color: #1b2437;
      letter-spacing: 1px;
      padding: 0 0 0 100px;
      &::placeholder {
        color: inherit;
      }
    }
    img {
      position: absolute;
      width: 24px;
      height: 24px;
      left: 40px;
      top: calc(50% - 12px);
    }
  }
  // .search__close
  &__close {
    background: transparent;
    padding: 28px 32px;
  }
  @media (max-width: $md2) {
    height: 70px;

    &__form {
      display: flex;
      align-items: center;
      height: 100%;
      flex: 1 1 auto;
      input {
        font-size: 16px;
        line-height: 25px;
        padding: 0 0 0 60px;
        &::placeholder {
          color: inherit;
        }
      }
      img {
        position: absolute;
        width: 20px;
        height: 20px;
        left: 20px;
        top: calc(50% - 10px);
      }
    }
  }
  &__close {
    background: transparent;
    padding: 23px 32px;
  }
}

.menu {
  height: 100%;
  // .menu__body
  &__body {
    height: 100%;
  }
  // .menu__burger
  &__burger {
    height: 15px;
    width: 18px;
    min-width: 18px;
    position: relative;
    display: none;
    cursor: pointer;
    margin: 23px 10px 23px 30px;
    span {
      position: absolute;
      width: 18px;
      height: 2px;
      background-color: #202020;
      top: 8px;
      transition: top 0.4s ease 0.4s, transform 0.4s ease 0s;
      &:first-child {
        top: 1px;
      }
      &:last-child {
        top: 100%;
      }
    }
    & span:nth-child(2) {
      transition: opacity 0s ease 0.4s !important;
    }
    &.active {
      & span {
        transition: top 0.4s ease 0s, transform 0.4s ease 0.4s;
      }
      & span:nth-child(1) {
        top: 9px;
        transform: rotate(-45deg);
      }
      & span:nth-child(2) {
        opacity: 0;
      }
      & span:nth-child(3) {
        top: 9px;
        bottom: auto;
        transform: rotate(45deg);
      }
    }
  }

  // .menu__list
  &__list {
    display: flex;
    align-items: center;
    height: 100%;
  }
  // .menu__first
  &__first {
    height: 100%;
    position: relative;
    &:hover {
      .menu__second {
        opacity: 1;
        visibility: visible;
        margin-top: 0;
      }
    }
  }

  &__second-arrow {
    display: none;
  }
  @media (min-width: $md1 + 1px) {
    // .menu__link
    &__link {
      height: 100%;
      padding: 0px 30px;
      display: flex;
      align-items: center;
      p {
        font-size: 16px;
        line-height: 25px;
        color: $colorBlue;
        transition: 0.2s;
      }

      // .menu__link--active
      &--active,
      &:hover {
        p {
          color: $colorGreen;
        }
      }
    }
    // .menu__second
    &__second {
      position: absolute;
      width: max-content;
      background-color: #efeff4;
      padding: 17px 11px 11px 11px;
      top: calc(100% - 5px);
      left: 50%;
      transform: translate(-50%, 0);
      z-index: 1;
      margin-top: 20px;
      opacity: 0;
      visibility: hidden;
      transition: 0.5s;
      &::before {
        content: '';
        position: absolute;
        border-left: 4px solid transparent;
        border-right: 4px solid transparent;
        border-bottom: 3px solid #efeff4;
        top: -3px;
        left: calc(50% - 3px);
      }
      li {
        margin-bottom: 19px;
        &:last-child {
          margin-bottom: 0;
        }
        a {
          display: block;

          p {
            width: fit-content;
            font-size: 16px;
            color: $colorGray;
            border-bottom: 1px solid transparent;
          }
          &:hover p {
            color: $colorBlue;
            border-color: $colorBlue;
          }
        }
      }
    }
  }
  @media (max-width: $md1) {
    &__burger {
      display: block;
    }
    &__body {
      position: fixed;
      background-color: #fff;
      width: 320px;
      height: 100vh;
      right: -320px;
      top: 0;
      z-index: -1;
      transition: 0.3s ease-in-out;
      box-shadow: 0 3px 14px rgba(#000000, 0.12);
      border-radius: 16px 0 0 16px;
      padding-top: 90px;
      &.active {
        right: 0;
      }
    }
    &__list {
      flex-direction: column;
      align-items: flex-start;
      width: 100%;
    }
    // .menu__first
    &__first {
      height: auto;
      width: 100%;
    }

    // .menu__link
    &__link {
      height: auto;
      padding: 20px;
      display: flex;
      align-items: center;
      position: relative;
      width: calc(100% - 60px);
      p {
        font-size: 16px;
        line-height: 25px;
        color: $colorBlue;
        transition: 0.2s;
      }

      // .menu__link--active
      &--active,
      &:hover {
        p {
          color: $colorGreen;
        }
      }
    }
    &__second-arrow {
      display: block;
      width: 40px;
      height: 40px;
      top: 15px;
      right: 20px;
      position: absolute;
      &::before {
        content: '';
        position: absolute;
        width: 15px;
        height: 15px;
        border-left: 2px solid #69a03a;
        border-bottom: 2px solid #69a03a;
        border-radius: 2px;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -75%) rotate(-45deg);
        cursor: pointer;
        transition: 0.3s ease-in-out;
      }

      &.active {
        &:before {
          transform: translate(-50%, -25%) rotate(135deg);
        }
      }
    }
    // .menu__second
    &__second {
      position: relative;
      width: 100%;
      background-color: #efeff4;
      max-height: 0;
      overflow: hidden;
      transition: 0.3s ease-in-out;
      &.active {
        transition: 0.5s ease-in-out;
        max-height: 1000px;
      }
      &::before {
        content: '';
        position: absolute;
        border-left: 4px solid transparent;
        border-right: 4px solid transparent;
        border-bottom: 3px solid #efeff4;
        top: -3px;
        left: calc(50% - 3px);
      }
      li {
        a {
          padding: 15px;
          display: block;

          p {
            width: fit-content;
            font-size: 16px;
            color: $colorGray;
            border-bottom: 1px solid transparent;
          }
          &:hover p {
            color: $colorBlue;
            border-color: $colorBlue;
          }
        }
      }
    }
  }
}
